<div>
  <h1>Welcome everybody!</h1>

  <ul>
    <li *ngFor="let server of serverList">
      <app-server-item
        [serverId]="server.id"
        [serverName]="server.name"
      ></app-server-item>
    </li>
  </ul>
  <div>
    <h2>Add new Server:</h2>
    <p *ngIf="errorMessage">{{errorMessage}}</p>
    <div>
      <input type="number" [(ngModel)]="newServerId" >
      <input type="text" [(ngModel)]="newServerName" >
      <input
        type="button"
        value="Add new"
        (click)="addNewServer()"
      >
    </div>
  </div>

  <router-outlet></router-outlet>
</div>
